org.keycloak.dom.saml.v2.ac

## Class AuthnMethodBaseType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.AuthnMethodBaseType

-     public class AuthnMethodBaseType
      extends Object

  Java class for AuthnMethodBaseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthnMethodBaseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}PrincipalAuthenticationMechanism" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Authenticator" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}AuthenticatorTransportProtocol" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AuthenticatorBaseType` | `authenticator`
    `protected AuthenticatorTransportProtocolType` | `authenticatorTransportProtocol`
    `protected List<ExtensionType>` | `extension`
    `protected PrincipalAuthenticationMechanismType` | `principalAuthenticationMechanism`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthnMethodBaseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticatorBaseType` | `getAuthenticator()` Gets the value of the authenticator property.
    `AuthenticatorTransportProtocolType` | `getAuthenticatorTransportProtocol()` Gets the value of the authenticatorTransportProtocol property.
    `List<ExtensionType>` | `getExtension()` Gets the value of the extension property.
    `PrincipalAuthenticationMechanismType` | `getPrincipalAuthenticationMechanism()` Gets the value of the principalAuthenticationMechanism property.
    `void` | `setAuthenticator(AuthenticatorBaseType value)` Sets the value of the authenticator property.
    `void` | `setAuthenticatorTransportProtocol(AuthenticatorTransportProtocolType value)` Sets the value of the authenticatorTransportProtocol property.
    `void` | `setPrincipalAuthenticationMechanism(PrincipalAuthenticationMechanismType value)` Sets the value of the principalAuthenticationMechanism property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### principalAuthenticationMechanism

          protected PrincipalAuthenticationMechanismType principalAuthenticationMechanism

    - #### authenticator

          protected AuthenticatorBaseType authenticator

    - #### authenticatorTransportProtocol

          protected AuthenticatorTransportProtocolType authenticatorTransportProtocol

    - #### extension

          protected List<ExtensionType> extension

  - ### Constructor Detail

    - #### AuthnMethodBaseType

          public AuthnMethodBaseType()

  - ### Method Detail

    - #### getPrincipalAuthenticationMechanism

          public PrincipalAuthenticationMechanismType getPrincipalAuthenticationMechanism()

      Gets the value of the principalAuthenticationMechanism property.
      Returns:
        possible object is `PrincipalAuthenticationMechanismType`

    - #### setPrincipalAuthenticationMechanism

          public void setPrincipalAuthenticationMechanism(PrincipalAuthenticationMechanismType value)

      Sets the value of the principalAuthenticationMechanism property.
      Parameters:
        `value` - allowed object is `PrincipalAuthenticationMechanismType`

    - #### getAuthenticator

          public AuthenticatorBaseType getAuthenticator()

      Gets the value of the authenticator property.
      Returns:
        possible object is `AuthenticatorBaseType`

    - #### setAuthenticator

          public void setAuthenticator(AuthenticatorBaseType value)

      Sets the value of the authenticator property.
      Parameters:
        `value` - allowed object is `AuthenticatorBaseType`

    - #### getAuthenticatorTransportProtocol

          public AuthenticatorTransportProtocolType getAuthenticatorTransportProtocol()

      Gets the value of the authenticatorTransportProtocol property.
      Returns:
        possible object is `AuthenticatorTransportProtocolType`

    - #### setAuthenticatorTransportProtocol

          public void setAuthenticatorTransportProtocol(AuthenticatorTransportProtocolType value)

      Sets the value of the authenticatorTransportProtocol property.
      Parameters:
        `value` - allowed object is `AuthenticatorTransportProtocolType`

    - #### getExtension

          public List<ExtensionType> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

           getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `ExtensionType`

Copyright © 2021 JBoss by Red Hat. All rights reserved.